### Index

- AnalyticsEnabledFactory (src/.../firebase.provider.ts)
- AppCheckEnabledFactory (src/.../firebase.provider.ts)
- AppCheckSiteKeyFactory (src/.../firebase.provider.ts)
- AppIsTokenAutoRefreshEnabledFactory (src/.../firebase.provider.ts)
- AuthLanguageCodeFactory (src/.../firebase.provider.ts)
- AuthPersistenceFactory (src/.../firebase.provider.ts)
- AuthSettingsFactory (src/.../firebase.provider.ts)
- AuthTenantIdFactory (src/.../firebase.provider.ts)
- AuthUseDeviceLanguageFactory (src/.../firebase.provider.ts)
- DataCollectionEnabledFactory (src/.../firebase.provider.ts)
- EnablePersistenceTokenFactory (src/.../firebase.provider.ts)
- FirebaseNameOrConfigTokenFactory (src/.../firebase.provider.ts)
- FirebaseOptionsTokenFactory (src/.../firebase.provider.ts)
- FirestoreSettingsTokenFactory (src/.../firebase.provider.ts)
- FunctionsNewOriginBehaviorFactory (src/.../firebase.provider.ts)
- FunctionsOriginFactory (src/.../firebase.provider.ts)
- FunctionsRegionFactory (src/.../firebase.provider.ts)
- GetAnalyticsAppName (src/.../firebase.provider.ts)
- initGenerator (src/.../generator.ts)
- InstrumentationEnabledFactory (src/.../firebase.provider.ts)
- PersistenceSettingsTokenFactory (src/.../firebase.provider.ts)
- ServiceWorkerFactory (src/.../firebase.provider.ts)
- StorageBucketFactory (src/.../firebase.provider.ts)
- StorageMaxOperationRetryTimeFactory (src/.../firebase.provider.ts)
- StorageMaxUploadRetryTimeFactory (src/.../firebase.provider.ts)
- UseAuthEmulatorFactory (src/.../firebase.provider.ts)
- UseFirestoreEmulatorFactory (src/.../firebase.provider.ts)
- UseFunctionsEmulatorFactory (src/.../firebase.provider.ts)
- VapidKeyFactory (src/.../firebase.provider.ts)

### src/lib/firebase.provider.ts

###

AnalyticsEnabledFactory
`AnalyticsEnabledFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

AppCheckEnabledFactory
`AppCheckEnabledFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

AppCheckSiteKeyFactory
`AppCheckSiteKeyFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

AppIsTokenAutoRefreshEnabledFactory
`AppIsTokenAutoRefreshEnabledFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

AuthLanguageCodeFactory
`AuthLanguageCodeFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

AuthPersistenceFactory
`AuthPersistenceFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

AuthSettingsFactory
`AuthSettingsFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

AuthTenantIdFactory
`AuthTenantIdFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

AuthUseDeviceLanguageFactory
`AuthUseDeviceLanguageFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

DataCollectionEnabledFactory
`DataCollectionEnabledFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

EnablePersistenceTokenFactory
`EnablePersistenceTokenFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

FirebaseNameOrConfigTokenFactory
`FirebaseNameOrConfigTokenFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

FirebaseOptionsTokenFactory
`FirebaseOptionsTokenFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

FirestoreSettingsTokenFactory
`FirestoreSettingsTokenFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

FunctionsNewOriginBehaviorFactory
`FunctionsNewOriginBehaviorFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

FunctionsOriginFactory
`FunctionsOriginFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

FunctionsRegionFactory
`FunctionsRegionFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

GetAnalyticsAppName
`GetAnalyticsAppName(config: ConfigService)`

Parameters :

Name | Type | Optional
config | `ConfigService` | No

Returns : `string | undefined`

InstrumentationEnabledFactory
`InstrumentationEnabledFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

PersistenceSettingsTokenFactory
`PersistenceSettingsTokenFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

ServiceWorkerFactory
`ServiceWorkerFactory()`

StorageBucketFactory
`StorageBucketFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

StorageMaxOperationRetryTimeFactory
`StorageMaxOperationRetryTimeFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

StorageMaxUploadRetryTimeFactory
`StorageMaxUploadRetryTimeFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

UseAuthEmulatorFactory
`UseAuthEmulatorFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

UseFirestoreEmulatorFactory
`UseFirestoreEmulatorFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

UseFunctionsEmulatorFactory
`UseFunctionsEmulatorFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

VapidKeyFactory
`VapidKeyFactory(configService: ConfigService)`

Parameters :

Name | Type | Optional
configService | `ConfigService` | No

### src/generators/init/generator.ts

###

initGenerator
`initGenerator(tree: Tree, options: InitGeneratorSchema)`

Parameters :

Name | Type | Optional
tree | `Tree` | No
options | `InitGeneratorSchema` | No

# results matching ""

# No results matching ""